{% extends "base.html" %}
{% load staticfiles %}
{% load static %}

{% block title %}
Job List
{% endblock %}

{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/app_job_list.css' %}" />
{% endblock %}

{% block header %}
{% include "partials/header-company.html" %}
{% endblock %}

{% block content %}
	<section id="header-body">
		<div id="title-div">
			<header>
				<h1 class="title">List of all jobs</h1>
			</header>
		</div>

		<div class="container">
			<div id="slideshow-container">
				{% for job in job_list %}
					<div class="slideshow-content">
						<div class="job-list fade">
							<div class="block">
							   	<span class="block-name"><h1>{{ job.company.name }}</h1></span>
							    <img src="{{job.company.picture_url}}" alt="" class="job-image">
								<span class="block-title"><h3>{{ job.title }}</h3></span>
								<span class="block-description"><p>{{ job.description }}</p></span>
								<span class="block-question"><a href="{% url 'app:job-forum' job.id %}">Details</a></span>
							</div>
						</div>
					</div>
					<a class="prev" onclick="plusSlides(-1)">&#10094;</a>
					<a class="next" onclick="plusSlides(1)">&#10095;</a>
				{% endfor %}
				<div style="text-align:center" id="loop">
					{% for job in job_num %}
					  <span class="dot" onclick="currentSlide({{job}})"></span>
					{% endfor %}
				</div>
			</div>
		</div>
	</section>
{% endblock %}

{% block javascript %}
<script>
var slideIndex = 1;
showSlides(slideIndex);

function plusSlides(n) {
  showSlides(slideIndex += n);
}

function currentSlide(n) {
	showSlides(slideIndex = n);
}

function showSlides(n) {
  var i;
  var slides = document.getElementsByClassName("job-list");
  var dots = document.getElementsByClassName("dot");
  if (n > slides.length) {slideIndex = 1}
  if (n < 1) {slideIndex = slides.length}
  for (i = 0; i < slides.length; i++) {
      slides[i].style.display = "none";
  }
  for (i = 0; i < dots.length; i++) {
      dots[i].className = dots[i].className.replace(" active", "");
  }
  slides[slideIndex-1].style.display = "block";
  dots[slideIndex-1].className += " active";
}
</script>
{% endblock %}
